# GCC_ChallengeResponse Class Reference

`#include <gcc.h>`

Inheritance diagram for GCC_ChallengeResponse:

List of all members.

## Public Member Functions

| GCC_ChallengeResponse (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Integer | m_challengeTag
GCC_ChallengeResponseAlgorithm | m_responseAlgorithm
GCC_ChallengeResponseItem | m_responseItem

## Constructor & Destructor Documentation

GCC_ChallengeResponse::GCC_ChallengeResponse | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX GCC_ChallengeResponse::GetDataLength | ( |  | ) | const

PBoolean GCC_ChallengeResponse::Decode | ( | PASN_Stream & | strm | ) |

void GCC_ChallengeResponse::Encode | ( | PASN_Stream & | strm | ) | const

void GCC_ChallengeResponse::PrintOn | ( | ostream & | strm | ) | const

Comparison GCC_ChallengeResponse::Compare | ( | const PObject & | obj | ) | const

PObject* GCC_ChallengeResponse::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Integer GCC_ChallengeResponse::m_challengeTag

GCC_ChallengeResponseAlgorithm GCC_ChallengeResponse::m_responseAlgorithm

GCC_ChallengeResponseItem GCC_ChallengeResponse::m_responseItem

The documentation for this class was generated from the following file:

- gcc.h